[gtk-css-engine] [build] Add autogen.sh and doap file.



commit 9ee8287a3734f06bd2b0cd71d106621addd9324c
Author: Robert Staudinger <robsta gnome org>
Date:   Mon May 11 16:58:44 2009 +0200

        [build] Add autogen.sh and doap file.
---
 autogen.sh          |   43 +++++++++++++++++++++++++++++++++++++++++++
 gtk-css-engine.doap |   26 ++++++++++++++++++++++++++
 2 files changed, 69 insertions(+), 0 deletions(-)

diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..6592648
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,43 @@
+#!/bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+olddir=`pwd`
+cd $srcdir
+
+(gtkdocize --version) < /dev/null > /dev/null 2>&1 || {
+	echo
+	echo "You must have gtk-doc installed to compile ."
+	echo "Install the appropriate package for your distribution,"
+	echo "or get the source tarball at http://ftp.gnome.org/pub/GNOME/sources/gtk-doc/";
+	DIE=1
+}
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+	echo
+	echo "You must have autoconf installed to compile $PROJECT."
+	echo "Install the appropriate package for your distribution,"
+	echo "or get the source tarball at http://ftp.gnu.org/gnu/autoconf/";
+	DIE=1
+}
+
+if test "$DIE" = "1"; then
+	exit 1
+fi
+
+gtkdocize || exit $?
+autoreconf --force --install --symlink || exit $?
+
+cd $olddir
+
+conf_flags="--enable-maintainer-mode"
+
+if test x$NOCONFIGURE = x; then
+  echo Running $srcdir/configure $conf_flags "$@" ...
+  $srcdir/configure $conf_flags "$@" \
+  && echo Now type \`make\' to compile. || exit 1
+else
+  echo Skipping configure process.
+fi
+
diff --git a/gtk-css-engine.doap b/gtk-css-engine.doap
new file mode 100644
index 0000000..c4c3cb5
--- /dev/null
+++ b/gtk-css-engine.doap
@@ -0,0 +1,26 @@
+<Project xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#";
+         xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#";
+         xmlns:foaf="http://xmlns.com/foaf/0.1/";
+         xmlns:gnome="http://api.gnome.org/doap-extensions#";
+         xmlns="http://usefulinc.com/ns/doap#";>
+
+  <!--
+  This is a DOAP template file.  It contains Pulse's best guesses at
+  some basic content.  You should verify the information in this file
+  and modify anything that isn't right.  Add the corrected file to your
+  source code repository to help tools better understand your project.
+  -->
+
+  <name xml:lang="en">gtk-css-engine</name>
+  <shortdesc xml:lang="en">Theme engine with CSS support for the Gtk+ toolkit.</shortdesc>
+  <homepage rdf:resource="http://www.gnome.org/~robsta/gtk-css-engine"; />
+  <!-- mailing-list rdf:resource="http://mail.gnome.org/mailman/listinfo/tasque-list"; / -->
+
+  <maintainer>
+    <foaf:Person>
+      <foaf:name>Robert Staudinger</foaf:name>
+      <foaf:mbox rdf:resource="mailto:robsta gnome org" />
+      <gnome:userid>robsta</gnome:userid>
+    </foaf:Person>
+  </maintainer>
+</Project>



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]